---
title: Create user
description: Creates a new user account in the company with the provided details.
category: API Reference
lastModified: '2026-05-18'
url: https://developer.lastpass.com/business/docs/users/create-user.md
---

# Create user

`POST /v1/users`

**Operation ID**: `createUser`

## Quick Start

```http
POST https://api.lastpass.com/business/v1/users
Authorization: api-key <your-api-key>
Content-Type: application/json

{
  "email": "string",
  "name": "string",
  "creationAccountAction": "invite"
}
```

Creates a new user account in the company with the provided details.

## Request Body

New user account details

### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `email` | string | No | Email address of the new user. |
| `name` | string | No | Full name of the new user. |
| `creationAccountAction` | UserAccountCreationAction | No | The action to take when creating a user account. - `invite` — Add the user to your LastPass organization and send them an activation email. Set their LastPass status to Pending invitation. - `stage` — Add the user to your LastPass organization, but don't notify them that their LastPass account has been created. Set their LastPass status to Staged, allowing admins to further configure the account before the user can gain access. *(allowed: invite, stage)* |

### Example

```json
{
  "email": "string",
  "name": "string",
  "creationAccountAction": "invite"
}
```

## Responses

### 201

Created

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `id` | integer | No | Unique identifier of the user. |
| `name` | string | No | Full name of the user. |
| `email` | string | No | Email address of the user. |
| `accountStatus` | CompanyUserAccountStatus | No | The current status of a company user account. *(allowed: enrolled, pending-invitation, expired-invitation, staged, disabled, awaiting-approval)* |

#### Example

```json
{
  "id": 0,
  "name": "string",
  "email": "string",
  "accountStatus": "enrolled"
}
```

### 400

Bad Request

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 401

Unauthorized

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 402

Subscription Expired

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 403

Forbidden

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 404

Not Found

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 415

Unsupported Media Type

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 422

Unprocessable Content

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 429

Too Many Requests

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 500

Internal Server Error

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

